package com.usky.cdi.service.enums;

import lombok.Data;

/**
 * 环境监测MQTT Topic枚举（统一管理）
 * @author fyc
 * @email yuchuan.fu@chinausky.com
 * @date 2025/11/20
 */
public enum EnvMonitorMqttTopic {
    // 水浸状态
    WATER_LEAK("iotInfo/flooded"),

    // 温度
    TEMP("iotInfo/temp"),

    // 湿度
    HUMIDITY("iotInfo/rh"),

    // 氧气
    OXYGEN("iotInfo/o2"),

    // 二氧化碳
    CO2("iotInfo/co2"),

    // 一氧化碳
    CO("iotInfo/co"),

    // 人员闯入情况
    PERSON_PRESENCE("iotInfo/personPresence"),

    // 用电负荷（后续用电负荷用）
    ELECTRICITY_LOAD("iotInfo/electricityLoad"),

    // 倾斜
    TILT("iotInfo/tilt"),

    // 裂缝
    CRACK("iotInfo/crack"),

    // 位移
    DEVIATION("iotInfo/deviation"),

    // 工程信息
    ENGINEERING("base/engineering"),

    // 防化单元
    PROTECTIVE_UNIT("base/protectiveUnit"),

    // 平面图
    FLOOR_PLANE("base/floorPlane"),

    // 物联设施
    SENSOR_INFO("base/sensorInfo");


    private final String topic;

    EnvMonitorMqttTopic(String topic) {
        this.topic = topic;
    }

    public String getTopic() {
        return topic;
    }
}
